
local refresher = { go = 1, max = 100 }
local time = 0

while( 1 )
do
  coroutine.yield()
  
  Entity:SPT_RefreshNumbers( refresher )
  if( refresher.go > 0 ) 
  then
    refresher.go = 0  
    time = 0
    
  end
  
  if( time ) and ( time > refresher.max ) 
  then
    Entity:VIS_SetText( "" )
    time = nil
    
  else
    if( time ) then
      time = time + 1
      
    end
    
  end

end
